"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const buildUpsertDocument = (searchExpression, updateExpression) => {
  const searchPart = !('$and' in searchExpression || '$or' in searchExpression || '$not' in searchExpression) ? searchExpression : {};
  const updatePart = '$set' in updateExpression ? updateExpression['$set'] : {};
  const baseDocument = { ...searchPart,
    ...updatePart
  };
  const resultDocument = {};

  for (const key of Object.keys(baseDocument)) {
    const nestedKeys = key.split('.');
    let currentResultDocument = resultDocument;

    for (const [idx, innerKey] of nestedKeys.entries()) {
      if (!currentResultDocument.hasOwnProperty(innerKey)) {
        currentResultDocument[innerKey] = isNaN(Number(nestedKeys[idx + 1])) ? nestedKeys.length - 1 === idx ? baseDocument[key] : {} : [];
        currentResultDocument = currentResultDocument[innerKey];
      }
    }
  }

  return resultDocument;
};

var _default = buildUpsertDocument;
exports.default = _default;
//# sourceMappingURL=build-upsert-document.js.map