"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const deleteProperty = async (pool, readModelName, key) => {
  const {
    schemaName,
    escapeId,
    escapeStr,
    inlineLedgerExecuteStatement
  } = pool;
  const databaseNameAsId = escapeId(schemaName);
  const ledgerTableNameAsId = escapeId(`__${schemaName}__LEDGER__`);
  await inlineLedgerExecuteStatement(pool, `UPDATE ${databaseNameAsId}.${ledgerTableNameAsId}
     SET "Properties" = "Properties" - ${escapeStr(key)} 
     WHERE "EventSubscriber" = ${escapeStr(readModelName)}
    `);
};

var _default = deleteProperty;
exports.default = _default;
//# sourceMappingURL=delete-property.js.map